Bug 131800 - rpcbind(8) fails to start in jail
Summary: rpcbind(8) fails to start in jail
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 7.1-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-02-18 03:30 UTC by Charlie &
Modified: 2021-02-16 21:53 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie & 2009-02-18 03:30:03 UTC
	rpcbind fails to start in a jail with only one ipv4 address assigned on amd64 (no other platform available for testing)

Fix: 

As a workaround I disabled udp6 and tcp6 in /etc/netconfig, rpcbind works fine now, the last part of a "ktrace rpcbind" is shown below

13860 rpcbind  GIO   fd 7 wrote 70 bytes
       "<27>Feb 18 03:55:12 rpcbind: cannot bind ::1 on udp6: Invalid argument"
 13860 rpcbind  RET   sendto 70/0x46
 13860 rpcbind  CALL  socket(PF_INET6,SOCK_DGRAM,IPPROTO_UDP)
 13860 rpcbind  RET   socket 8
 13860 rpcbind  PSIG  SIGSEGV SIG_DFL
 13860 rpcbind  NAMI  "rpcbind.core"
How-To-Repeat: 	Install 7.1-STABLE to a version after the multiple ip jail changes
	Start rpcbind, it fails with "Segmentation fault (core dumped)"
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2009-02-18 03:47:51 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-jail

Over to maintainer(s).
Comment 2 Bjoern A. Zeeb freebsd_committer 2009-02-18 10:23:02 UTC
Hi,

this jail behaviour will soon change again that opening an IPv6 socket
will be possible w/o the IP though this currently matches the behavior
of the base system.

The problem here seems to be that (without looking at the code) rpcbind
is not checking return codes properly.

/bz

-- 
Bjoern A. Zeeb                      The greatest risk is not taking one.
Comment 3 Bjoern A. Zeeb freebsd_committer 2009-02-23 15:22:12 UTC
From the jail side this should have been fixed with the latest MFC
from jamie@ .

But this really is an rpcbind bug.

-- 
Bjoern A. Zeeb                      The greatest risk is not taking one.
Comment 4 rob 2009-02-24 03:28:13 UTC
> From the jail side this should have been fixed with the latest MFC
> from jamie@ .
>
> But this really is an rpcbind bug.
>
> --
> Bjoern A. Zeeb                      The greatest risk is not taking one.
>

Hi Bjoern,

I can confirm it now works again without editing the /etc/netconfig file,
should we leave the p.r. open for reference to the rpcbind problem?

Thanks,
Rob Evers
-- 
A: Because it reverses the logical flow of conversation.
Q: Why is top posting frowned upon?
Comment 5 Bjoern A. Zeeb freebsd_committer 2009-03-02 19:20:13 UTC
Responsible Changed
From-To: freebsd-jail->freebsd-bugs
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 08:01:00 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped